Status: Resolved Priority: Should have
Author: Adrian Föder Category: MVC
Created: 2012-07-26 Assigned To: Adrian Föder
Updated: 2012-07-30 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: (any)
Subject: ViewInterface->assign() method is annotated to expect object as value
Description

it is

     * @param string $key Key of variable
     * @param object $value Value of object
    ....
     */
    public function assign($key, $value);

which should be `mixed` instead because everything is considered to be assignable.

Associated revisions
Revision 9ede9cc9 - 2012-07-26 14:28 - Adrian Föder

[BUGFIX] Corrected annotation of assign method in ViewInterface

A view is basically intended to be able to get arbitrary values,
hence data types assigned, so the annotation gets corrected to
accomodate for this.

Change-Id: I9962c22887afea21ea3494e0f273bd9bd5ccf222
Releases: 1.1, 1.2
Fixes: #39293

Revision 4990b146 - 2012-07-30 08:59 - Adrian Föder

[BUGFIX] Corrected annotation of assign method in ViewInterface

A view is basically intended to be able to get arbitrary values,
hence data types assigned, so the annotation gets corrected to
accomodate for this.

Change-Id: I9962c22887afea21ea3494e0f273bd9bd5ccf222
Releases: 1.1, 1.2
Fixes: #39293

2015-08-03 1/2



History
#1 - 2012-07-26 14:31 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13079

#2 - 2012-07-30 08:59 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13343

#3 - 2012-07-30 09:00 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
- PHP Version deleted (5.4)
